Summary:        ChatZilla is a Internet Relay Chat (IRC) client
Name:           chatzilla
Version:        0.9.83
Release:       	alt1
License:        MPL/GPL/LGPL
Group:          Networking/IRC
Url:		http://rdmsoft.com/r/stuff/chatzilla/xulrunner

BuildArch:	noarch

Source0:	chatzilla-%version-xr.zip
Source1:	chatzilla.desktop
Source2:	cz16.png
Source3:	cz32.png
Source4:	cz48.png

Requires:	xulrunner

# Automatically added by buildreq on Thu Aug 25 2005
BuildRequires: unzip

%description
ChatZilla is a cross platform messaging client that combines Internet Relay Chat (IRC) 
with existing web standards like JavaScript, HTML, and CSS.

%prep
%setup -q -c -n %name-%version

%install
%__mkdir_p  \
	%buildroot/%_datadir/%name-%version \
	%buildroot/%_bindir \
	%buildroot/%_miconsdir \
	%buildroot/%_niconsdir \
	%buildroot/%_liconsdir \
	%buildroot/%_desktopdir

install -m 644 %SOURCE1 %buildroot/%_desktopdir/chatzilla.desktop
install -m 644 %SOURCE2 %buildroot/%_miconsdir/%name.png
install -m 644 %SOURCE3 %buildroot/%_niconsdir/%name.png
install -m 644 %SOURCE4 %buildroot/%_liconsdir/%name.png

%__cp -r cz/* %buildroot/%_datadir/%name-%version/

%__cat >%buildroot/%_bindir/%name<<EOF
#!/bin/sh -e
[ "$1" = "-debug" ] || exec >/dev/null 2>&1
%_bindir/xulrunner %_datadir/%name-%version/application.ini
EOF
%__chmod +x %buildroot/%_bindir/%name

%post
%update_menus

%postun
%clean_menus

%files
%_bindir/%name
%_datadir/%name-%version
%_desktopdir/*.desktop
%_miconsdir/%name.png
%_niconsdir/%name.png
%_liconsdir/%name.png

%changelog
* Sun Oct 26 2008 Alexey Gladkov <legion@altlinux.ru> 0.9.83-alt1
- New version (0.9.83)

* Wed Oct 24 2007 Alexey Gladkov <legion@altlinux.ru> 0.9.78.1-alt2
- Add desktop file.
- Fix License tag.

* Tue Oct 23 2007 Alexey Gladkov <legion@altlinux.ru> 0.9.78.1-alt1
- New version (0.9.78.1)

* Thu Aug 25 2005 Alexey Gladkov <legion@altlinux.ru> 0.9.68.5-alt1
- First build for ALT Linux.
